# Drop Ship The Drop Shipping API enables customers to fulfill orders for available units and lots that are in stock in the Optoro RMS. Version: 6.0 ## Servers Production ``` https://drop-ship.optiturn.com ``` Sandbox ``` https://drop-ship.sandbox.optiturn.com ``` ## Security ### oAuth2 Type: oauth2 ## Download OpenAPI description [Drop Ship](https://developer.optoro.com/_bundle/openapi/drop_ship/@6.0/openapi.yaml) ## Listings ### List listings - [GET /listings](https://developer.optoro.com/openapi/drop_ship/openapi/listings/listingsindex.md): Results from the listings endpoint are paginated and the subset of listings that are returned are based on the page and per_page parameters supplied in the request. The total count of records in the set is returned in the response header record_count. This can be used to calculate the number of pages that need to be retrieved to get all records. ### Show listings by identifier - [GET /listings/{id}](https://developer.optoro.com/openapi/drop_ship/openapi/listings/listingsshow.md): Returns the listing details for the listing that matches the identifier that is included in the query parameters. ### Update Listing quantity - [PUT /listings/{id}](https://developer.optoro.com/openapi/drop_ship/openapi/listings/listingsupdate.md): Tell the drop ship service that the client system does not want some amount of this inventory anymore available on this channel. ## Orders ### List orders - [GET /orders](https://developer.optoro.com/openapi/drop_ship/openapi/orders/ordersindex.md): Results from the orders endpoint are paginated and the subset of orders that are returned are based on the page and per_page parameters supplied in the request. ### Create an order - [POST /orders](https://developer.optoro.com/openapi/drop_ship/openapi/orders/orderscreate.md): Used to notify Optoro of purchases of individual units or lots. Units or lots are assigned as an order item on the order. ### Create orders in batches - [POST /batch/orders](https://developer.optoro.com/openapi/drop_ship/openapi/orders/batchorderscreate.md): This request creates orders in batches. Batches can contain a maximum of 25 orders per request. ### Show an order by identifier - [GET /orders/{id}](https://developer.optoro.com/openapi/drop_ship/openapi/orders/ordersshow.md): Returns the order details for the order that matches the identifier that is included in the url path. ### Update an order by identifier - [PUT /orders/{id}](https://developer.optoro.com/openapi/drop_ship/openapi/orders/ordersupdate.md): Marks the lot order that matches the identifier that is included in the url path as accepted from pending_payment. ### Cancel an order by identifier - [DELETE /orders/{id}](https://developer.optoro.com/openapi/drop_ship/openapi/orders/orderscancel.md): Cancels the lot order that matches the identifier that is included in the url path from pending_payment status. ## Shipments ### Lists shipments - [GET /shipments](https://developer.optoro.com/openapi/drop_ship/openapi/shipments/shipmentsindex.md): Results from the shipments endpoint are paginated and the subset of shipments that are returned are based on the page and per_page parameters supplied in the request. The total count of records in the set is returned in the response header record_count. This can be used to calculate the number of pages that need to be retrieved to get all records. ### Show details of a shipment - [GET /shipments/{id}](https://developer.optoro.com/openapi/drop_ship/openapi/shipments/shipmentsshow.md): Get details of a shipment by tracking number. ### Show list of the shipments for an order - [GET /shipments/identifier/{id}](https://developer.optoro.com/openapi/drop_ship/openapi/shipments/shipmentsshowbyidentifier.md): Get details of a shipments filtered by an order.